Subject: Re: 14141

From: Jakub Kicinski <[email-masked]>
Date: Wed, 10 Apr 2024 17:49:40 -0700

On Wed, 10 Apr 2024 19:48:46 +0200 Antony Antony wrote:
> > Could you turn this into a selftest?  
> 
> I thought about it, and I didn't find any selftest file that match this
> test. This test need a topology with 4, ideally 5, namespaces connected in a line, and ip xfrm.
> 
> git/linux/tools/testing/selftests/net/pmtu.sh  is probably the easiest I
> can think off.
> 
> git/linux/tools/testing/selftests/net/xfrm_policy.sh seems to be a bit
> more complex to a extra tests to.
> 
> Do you have any preference? which file to add?

Whatever's easiest, I don't have much experience with either of those.
You can also create a new file, it's perfectly fine, just make sure
you add it to the makefile so kselftest knows about it